module Paypal
  class Masspay::LengthValidator
    class FieldLengthTooLarge < StandardError; end

    def self.validate(string, length, field_name)
      string.tap do |output|
        raise FieldLengthTooLarge.new("#{output} is longer than the paypal max char limit of #{length} for field #{field_name}") if !output.nil? && output.length > length
      end
    end
  end
end
