module Paypal
  class Masspay::Recipient
    RECIPIENT_EMAIL_MAX_LENGTH     = 127
    RECIPIENT_NOTE_MAX_LENGTH      = 4000
    RECIPIENT_UNIQUE_ID_MAX_LENGTH = 30

    def initialize(args = {})
      @recipient_email = Paypal::Masspay::LengthValidator.validate(args[:recipient_email], RECIPIENT_EMAIL_MAX_LENGTH, :recipient_email)
      @note            = Paypal::Masspay::LengthValidator.validate(args[:note], RECIPIENT_NOTE_MAX_LENGTH, :note)
      @unique_id       = Paypal::Masspay::LengthValidator.validate(args[:unique_id], RECIPIENT_UNIQUE_ID_MAX_LENGTH, :unique_id)
      @amount          = args[:amount]
    end

    def get_params(index)
      {
        "L_EMAIL#{index}"    => @recipient_email,
        "L_AMT#{index}"      => @amount,
        "L_NOTE#{index}"     => @note,
        "L_UNIQUEID#{index}" => @unique_id
      }
    end
  end
end
